# Uses of Interface
org.jmol.api.SymmetryInterface

Packages that use SymmetryInterface
Package
Description
org.jmol.adapter.smarter
org.jmol.adapter.writers
org.jmol.api
org.jmol.modelkit
org.jmol.modelset
org.jmol.shape
org.jmol.shapesurface
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of SymmetryInterface in org.jmol.adapter.smarter

Classes in org.jmol.adapter.smarter that implement SymmetryInterface
Modifier and Type
Class
Description
`static class`
`XtalSymmetry.FileSymmetry`
A class only used by adapter.smarter.XtalSymmetry while building the file-based model.

## Uses of SymmetryInterface in org.jmol.adapter.writers

Fields in org.jmol.adapter.writers declared as SymmetryInterface
Modifier and Type
Field
Description
`protected SymmetryInterface`
CIFWriter.`uc`

## Uses of SymmetryInterface in org.jmol.api

Methods in org.jmol.api that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
SymmetryInterface.`getSpinSym()`
`SymmetryInterface`
JmolModulationSet.`getSubSystemUnitCell()`
`static SymmetryInterface`
Interface.`getSymmetry(Viewer vwr, String state)`
`SymmetryInterface`
SymmetryInterface.`getUnitCell(T3[] oabc, boolean setRelative, String name)`
`SymmetryInterface`
SymmetryInterface.`getUnitCellMultiplied()`
`SymmetryInterface`
SymmetryInterface.`setPointGroup(Viewer vwr, SymmetryInterface pointGroupPrevious, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`SymmetryInterface`
SymmetryInterface.`setUnitCellFromParams(float[] params, boolean setRelative, float slop)`
`SymmetryInterface`
SymmetryInterface.`setViewer(Viewer vwr, String id)`
for Viewer.getSymStatic only
Methods in org.jmol.api with parameters of type SymmetryInterface
Modifier and Type
Method
Description
`void`
SymmetryInterface.`getEquivPointList(int nIgnore, String flags, M4[] opsCtr, float packing, Lst<Point3fi> pts, SymmetryInterface uc)`
`boolean`
SymmetryInterface.`isSymmetryCell(SymmetryInterface sym)`
`SymmetryInterface`
SymmetryInterface.`setPointGroup(Viewer vwr, SymmetryInterface pointGroupPrevious, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`void`
SymmetryInterface.`setUnitCell(SymmetryInterface uc)`
`boolean`
SymmetryInterface.`unitCellEquals(SymmetryInterface uc2)`

## Uses of SymmetryInterface in org.jmol.modelkit

Methods in org.jmol.modelkit that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
ModelKit.`getSym(int iatom)`
Methods in org.jmol.modelkit with parameters of type SymmetryInterface
Modifier and Type
Method
Description
`void`
ModelKit.`addLockedAtoms(SymmetryInterface sg, BS bsLocked)`
Only for the current model
`void`
ModelKit.`cmdPackUnitCell(SymmetryInterface sym, BS bsAtoms, float packing)`
MODELKIT {1 0 0} PACKED
`protected org.jmol.modelkit.ModelKit.Constraint`
ModelKit.`setConstraint(SymmetryInterface sym, int ia, int mode)`
This constraint will be set for the site only.
`boolean`
ModelKit.`transformAtomsToUnitCell(SymmetryInterface sym, T3[] oabc, String ucname)`
Transform the atoms to fractional coordinate, set the unit cell to a new cell, and then transform them back to Cartesians.

## Uses of SymmetryInterface in org.jmol.modelset

Fields in org.jmol.modelset declared as SymmetryInterface
Modifier and Type
Field
Description
`SymmetryInterface`
Model.`biosymmetry`
`protected SymmetryInterface`
AtomCollection.`pointGroup`
`SymmetryInterface`
Model.`simpleCage`
`SymmetryInterface[]`
ModelSet.`unitCells`
Methods in org.jmol.modelset that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
ModelSet.`getUnitCell(int modelIndex)`
`SymmetryInterface`
ModelSet.`getUnitCellForAtom(int index)`
`SymmetryInterface`
ModelSet.`setModelCage(int modelIndex, SymmetryInterface simpleCage)`
This is the model-specific cage created by a UNITCELL or MODELKIT UNITCELL command.
`SymmetryInterface`
ModelSet.`setModelCagePts(int iModel, T3[] originABC, String name)`
Methods in org.jmol.modelset with parameters of type SymmetryInterface
Modifier and Type
Method
Description
`BS`
ModelSet.`getSymmetryEquivAtoms(BS bsAtoms, SymmetryInterface sym, BS bsModelAtoms)`
Return a bitset of equivalent atoms
`SymmetryInterface`
ModelSet.`setModelCage(int modelIndex, SymmetryInterface simpleCage)`
This is the model-specific cage created by a UNITCELL or MODELKIT UNITCELL command.
`void`
Model.`setSimpleCage(SymmetryInterface ucell)`
`void`
ModelSet.`setSpaceGroup(int mi, SymmetryInterface sg, BS basis)`
Set up all the model-related fields in association with a new space group.

## Uses of SymmetryInterface in org.jmol.shape

Fields in org.jmol.shape declared as SymmetryInterface
Modifier and Type
Field
Description
`SymmetryInterface`
Mesh.`unitCell`
Methods in org.jmol.shape that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
Mesh.`getUnitCell()`

## Uses of SymmetryInterface in org.jmol.shapesurface

Methods in org.jmol.shapesurface that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
IsosurfaceMesh.`getUnitCell()`

## Uses of SymmetryInterface in org.jmol.symmetry

Classes in org.jmol.symmetry that implement SymmetryInterface
Modifier and Type
Class
Description
`class`
`Symmetry`
Methods in org.jmol.symmetry that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
Symmetry.`getSpinSym()`
`SymmetryInterface`
Symmetry.`getUnitCell(T3[] oabc, boolean setRelative, String name)`
`SymmetryInterface`
Symmetry.`getUnitCellMultiplied()`
Note, this has no origin shift.
`SymmetryInterface`
Symmetry.`setPointGroup(Viewer vwr, SymmetryInterface siLast, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`SymmetryInterface`
Symmetry.`setUnitCellFromParams(float[] unitCellParams, boolean setRelative, float slop)`
Methods in org.jmol.symmetry with parameters of type SymmetryInterface
Modifier and Type
Method
Description
`static boolean`
CLEG.`checkFullSyntax(String[] tokens, SymmetryInterface sym, boolean allow300)`
Test nodes and transforms for valid syntax.
`void`
Symmetry.`getEquivPointList(int nInitial, String flags, M4[] opsCtr, float packing, Lst<Point3fi> pts, SymmetryInterface uc)`
Load a list of initial current points, and one or more starting points with equivalent points.
`boolean`
Symmetry.`isSymmetryCell(SymmetryInterface sym)`
`UnitCellIterator`
UnitCellIterator.`set(SymmetryInterface unitCell, Atom atom, Atom[] atoms, BS bsAtoms, float distance)`
`SymmetryInterface`
Symmetry.`setPointGroup(Viewer vwr, SymmetryInterface siLast, T3 center, T3[] atomset, BS bsAtoms, boolean haveVibration, float distanceTolerance, float linearTolerance, int maxAtoms, boolean localEnvOnly)`
`void`
CLEG.ClegData.`setSymmetry(SymmetryInterface sym)`
`void`
Symmetry.`setUnitCell(SymmetryInterface uc)`
`boolean`
Symmetry.`unitCellEquals(SymmetryInterface uc2)`
Constructors in org.jmol.symmetry with parameters of type SymmetryInterface
Modifier
Constructor
Description
``
`ClegData(SymmetryInterface sym, String[] tokens)`

## Uses of SymmetryInterface in org.jmol.util

Methods in org.jmol.util that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
ModulationSet.`getSubSystemUnitCell()`
Methods in org.jmol.util with parameters of type SymmetryInterface
Modifier and Type
Method
Description
`ModulationSet`
ModulationSet.`setMod(String id, P3 r00, P3 r0, int d, Lst<Modulation> mods, M3 gammaE, Matrix[] factors, SymmetryInterface symmetry, int nOps, int iop, Vibration v, boolean isCommensurate)`
A collection of modulations for a specific atom.

## Uses of SymmetryInterface in org.jmol.viewer

Methods in org.jmol.viewer that return SymmetryInterface
Modifier and Type
Method
Description
`SymmetryInterface`
Viewer.`getCurrentUnitCell()`
`SymmetryInterface`
Viewer.`getOperativeSymmetry()`
Only return symmetry that has operators.
`SymmetryInterface`
Viewer.`getSymStatic()`
Retrieve the static Symmetry object, which should be used only statically
`SymmetryInterface`
Viewer.`getSymTemp()`
Retrieve a new Symmetry object.
Methods in org.jmol.viewer with parameters of type SymmetryInterface
Modifier and Type
Method
Description
`Object`
Viewer.`findSpaceGroup(SymmetryInterface sym, BS bsAtoms, String xyzList, float[] unitCellParams, T3 origin, T3[] oabc, int flags)`
`BS`
Viewer.`getMotionFixedAtoms(SymmetryInterface sym, BS bsFixed)`
For the current SINGLE model only.
`void`
Viewer.`toCartesianUC(SymmetryInterface unitCell, T3 pt, boolean ignoreOffset)`
`void`
Viewer.`toFractionalUC(SymmetryInterface unitCell, T3 pt, boolean ignoreOffset)`